<style type="text/css">
code {
	border: 0.1em solid #666;
	border-left: 0.2em solid #666;
	padding: 0.75em 1em 0.75em 2em;
	display: block;
}
#script_gem_manual {
	margin: 0;
	padding: 0 1em;
}
#script_gem_manual li {
	list-style: square;
}
</style>

<h2>Summary</h2>
<p>
	script_gem allows you to setup isolated gem environments for your rails
	application.
</p>

<p>
	It will introduce a top level 'gems' directory which it will be used by
	your application. This is a normal rubygems installation. All your gem
	commands will work as normal, and you will be responsible for managing this
	repository [the script will install rails for you]. The only change in your
	normal `flow of things` is that you will use './script/gem' when you want
	to deal with the application's gem environment instead of using a global
	'gem' command.
</p>


<h2>ChangeLog</h2>
0.1 - made gem
0.0 - no release yet, look at the commits on the repository for more info.


<h2>Contact</h2>
<p>
	If you have suggestions or patches - or want to drop me a comment:
</p>
<p style="margin-left: 2em;">
	Naitik Shah &lt;naitik.shah [_a_t_] yahoo [_d_o_t] com&gt;
</p>


<h2>Installation</h2>
<p>
	<code>
		gem install script_gem
	</code>
</p>


<h2>Usage</h2>
<p>
	<code>
		<ul id="script_gem_manual">
			<li>[...cd into your app directory]</li>
			<li>script_gem bootstrap</li>
		</ul>
	</code>
</p>


<h2>Shared Cache</h2>
<p>
	One issue that arises when having isolated gem environments is that you
	would have to keep downloading the gems over and over again. To solve this
	issue, script gem will share the gem cache directory. This potentially
	involves reusing your existing gem cache directory if its writable by the
	current user.  The fallback is to create a new shared cache directory as
	$HOME/.script_gem/cache. If you want to force a the fallback, explicitly
	create that directory (mkdir -p ~/.script_gem/cache) before running the
	bootstrap.
</p>


<h2>Usage</h2>
<p>
	Ok, what now?
</p>
<p>
	Go to your application RAILS_ROOT and run:
</p>
<code>
	./script/gem
</code>


<h2>FAQ</h2>
<p>
	Will this affect my existing gem installation?
</p>
<p style="margin-left: 2em;">
	NO! Well, except for one tiny thing - its cache might be reused. Check the
	'Shared Cache' section for more info.
</p>

<p>
	Will I have to keep downloading all the gems over and over?
</p>
<p style="margin-left: 2em;">
	NO! Check the 'Shared Cache' section for more info.
</p>
